#
# spec file for package pianobar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pianobar
Version:        2017.08.30
Release:        lp150.1.1
Summary:        Pandora Player
License:        MIT
Group:          Productivity/Multimedia/Sound/Utilities
Url:            https://6xq.net/pianobar
Source0:        https://github.com/PromyLOPh/pianobar/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(json)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libcurl)

%description
pianobar is a console client for the personalized web radio pandora

- play and manage (create, add more music, delete, rename, ...) your stations
- rate played songs and let pandora explain why they have been selected
- show upcoming songs/song history
- configure keybindings
- last.fm scrobbling support (external application)
- proxy support for listeners outside the USA

%prep
%setup -q

%build
export CC="gcc"
export CFLAGS="-std=c99 %{optflags}"
make %{?_smp_mflags} V=1

%install
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Sat Apr 14 2018 aloisio@gmx.com
- Spec cleanup
* Fri Apr 13 2018 takeda@takeda.tk
- Update to version 2017.08.30
  * Support binding to specific network interface, see config option
    bind_to
  * New config option gain_mul softens effect of replay gain
  * Replaced deprecated ffmpeg and json-c functions, bumps
    ffmpeg/libav version requirement
  * Fix use-after-free
  * Minor improvements to code and documentation
* Sat Sep 24 2016 aloisio@gmx.com
- Update to version 2016.06.02
  * Quit pianobar upon reception of two SIGINT
  * Minor bugfixes
* Wed Dec 23 2015 takeda@takeda.tk
- Update to version 2015.11.22:
  * Switch back to libcurl. tls_fingerprint setting has been replaced by
    ca_bundle
  * Interruptible network transactions (press ^C). Timeouts removed
  * Config file parser fixes and improvements
  * Player respects proxy, replaced deprecated api calls
  * Added ability to change Pandora settings (username, password,
    explicit content filter)
  * The usual minor bugfixes/improvements here and there
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Tue Apr 14 2015 aloisio@gmx.com
- Update to version 2014.09.28
  * Fix segfault when retrieving station’s feedback list
  * Refactored audio player
  * Correctly detect ffmpeg 2.3 and 2.4
  * Restore terminal attributes after waking up (SIGCONT)
  Release 2014.06.08:
  * Switch to ffmpeg/libav for audio playback. ffmpeg 2.2, 2.1
    and 1.2 as well as libav 10 and 9 are supported. libav 8
    does *not* work. libmad/libfaad are not required any more.
  * Tilde-expansion for the fifo setting
  * eventcmd’s songstart reports correct song length
  * Readline improvements
  * Support TLS SNI
  * Improved error messages
